Loading...
Searching...
No Matches
CoordinateSet< T > Class Template Reference

Templated class for array type containers. More...

`#include <avogadro/core/coordinateset.h>`

Inheritance diagram for CoordinateSet< T >:

## Public Member Functions

void | resize (Index _size)
Index | size () const
std::vector< T > & | coordinates ()
const std::vector< T > & | coordinates () const
T | operator() (Index _index) const
T & | operator[] (Index _index)
const T & | operator[] (Index _index) const
Public Member Functions inherited from ArraySet
template<typename T>
bool | isType (const T &) const

## Additional Inherited Members

Protected Attributes inherited from ArraySet
PlaceHolder * | m_content
void * | m_data

## Detailed Description

template<typename T>
class Avogadro::Core::CoordinateSet< T >

This class gives us the derived templated class that stores arrays of data. of data. This class should be used to store concrete arrays, and can be cast to ArraySet when stored in generic containers.

## Member Function Documentation

## operator()()

template<typename T>

T operator() | ( | Index | _index | ) | const

Returns the element at \index _index.

The documentation for this class was generated from the following file:

- coordinateset.h